初学者请教安装jdk出错的问题

为当前最终发行版之前的所有版本提供支持
回复
qingniaoqqq
帖子: 6
注册时间: 2008-10-16 16:46
送出感谢: 0
接收感谢: 0

初学者请教安装jdk出错的问题

#1

帖子 qingniaoqqq » 2008-10-29 11:45

终端显示为
qh@qh-desktop:~$ sudo apt-get install sun-java6-jdk
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
建议安装的软件包:
sun-java6-demo sun-java6-doc sun-java6-source
下列【新】软件包将被安装:
sun-java6-jdk
共升级了 0 个软件包,新安装了 1 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
有 1 个软件包没有被完全安装或卸载。
需要下载 0B/17.4MB 的软件包。
操作完成后,会消耗掉 55.7MB 的额外磁盘空间。
正在预设定软件包 ...
选中了曾被取消选择的软件包 sun-java6-jdk。
(正在读取数据库 ... 系统当前总共安装有 141790 个文件和目录。)
正在解压缩 sun-java6-jdk (从 .../sun-java6-jdk_6-07-3ubuntu2_i386.deb) ...
sun-dlj-v1-1 license has already been accepted
正在设置 bindgraph (0.2a-2.1) ...
chown: 无法访问“/var/run/servergraph”: 没有该文件或目录
dpkg:处理 bindgraph (--configure)时出错:
子进程 post-installation script 返回了错误号 1
正在设置 sun-java6-jdk (6-07-3ubuntu2) ...

在处理时有错误发生:
bindgraph
E: Sub-process /usr/bin/dpkg returned an error code (1)


同样的问题我遇到过两次,重新装了系统还是这样的问题,很着急,请教大牛忙帮看看这是怎么回事?
先谢谢了
头像
be00
帖子: 805
注册时间: 2008-07-28 19:51
来自: 长沙
送出感谢: 1 次
接收感谢: 2 次
联系:

Re: 初学者请教安装jdk出错的问题

#2

帖子 be00 » 2008-10-29 14:13

在新立得的界面安装试试,会提示有一些依赖关系的软件包
我的乌斑兔儿:http://zhanggang.net/m/b/b1/ubuntu右键选择在新的窗体打开
右边有一只黄手 ----> 或者注册Dropbox中文版感谢我
qingniaoqqq
帖子: 6
注册时间: 2008-10-16 16:46
送出感谢: 0
接收感谢: 0

Re: 初学者请教安装jdk出错的问题

#3

帖子 qingniaoqqq » 2008-10-29 16:45

谢谢
我试过新立得了,结果一样的~~
这是里面显示的

正在预设定软件包 ...
(正在读取数据库 ... 系统当前总共安装有 142175 个文件和目录。)
正预备替换 sun-java6-jdk 6-07-3ubuntu2 (使用 .../sun-java6-jdk_6-07-3ubuntu2_i386.deb) ...
sun-dlj-v1-1 license has already been accepted
正在解压缩将用于更替的包文件 sun-java6-jdk ...
正预备替换 sun-java6-jre 6-07-3ubuntu2 (使用 .../sun-java6-jre_6-07-3ubuntu2_all.deb) ...
sun-dlj-v1-1 license has already been accepted
正在解压缩将用于更替的包文件 sun-java6-jre ...
正在设置 bindgraph (0.2a-2.1) ...
chown: 无法访问“/var/run/servergraph”: 没有该文件或目录
dpkg:处理 bindgraph (--configure)时出错:
子进程 post-installation script 返回了错误号 1
正在设置 sun-java6-jdk (6-07-3ubuntu2) ...

正在设置 sun-java6-jre (6-07-3ubuntu2) ...

在处理时有错误发生:
bindgraph
E: Sub-process /usr/bin/dpkg returned an error code (1)
有软件包无法安装。试图恢复到上一版本:
正在设置 bindgraph (0.2a-2.1) ...
chown: 无法访问“/var/run/servergraph”: 没有该文件或目录
dpkg:处理 bindgraph (--configure)时出错:
子进程 post-installation script 返回了错误号 1
回复

回到 “老旧版本支持”